Bug 188502 - [PATCH] devel/py-instant: staging
Summary: [PATCH] devel/py-instant: staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-12 11:40 UTC by Bartek Rutkowski
Modified: 2014-04-13 03:30 UTC (History)
1 user (show)

See Also:


Attachments
py-instant-1.2.0.patch (1.20 KB, patch)
2014-04-12 11:40 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-12 11:40:00 UTC
- Staging
- Fixing pkg-plist
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-instant/1.2.0/

Port maintainer (jwbacon@tds.net) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-12 11:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-12 11:40:05 UTC
Maintainer of devel/py-instant,

Please note that PR ports/188502 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188502

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-12 11:40:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jason W. Bacon freebsd_committer 2014-04-12 16:14:02 UTC
Approved, but I believe MAN1 and MANCOMPRESSED can also be removed from 
the Makefile.

     JB

On 04/12/14 05:40, Edwin Groothuis wrote:
> Maintainer of devel/py-instant,
>
> Please note that PR ports/188502 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188502
>
Comment 5 dfilter service freebsd_committer 2014-04-13 03:23:10 UTC
Author: swills
Date: Sun Apr 13 02:23:06 2014
New Revision: 351174
URL: http://svnweb.freebsd.org/changeset/ports/351174
QAT: https://qat.redports.org/buildarchive/r351174/

Log:
  - Stage
  - Fix pkg-plist
  - Pet portlint
  
  PR:		ports/188502
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	Jason Bacon <jwbacon@tds.net> (maintainer)

Modified:
  head/devel/py-instant/Makefile
  head/devel/py-instant/pkg-descr
  head/devel/py-instant/pkg-plist

Modified: head/devel/py-instant/Makefile
==============================================================================
--- head/devel/py-instant/Makefile	Sun Apr 13 02:15:38 2014	(r351173)
+++ head/devel/py-instant/Makefile	Sun Apr 13 02:23:06 2014	(r351174)
@@ -18,13 +18,8 @@ USE_PYTHON=		2
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	instant
 
-MAN1=		instant-clean.1 \
-		instant-showcache.1
-MANCOMPRESSED=	yes
-
 MMVERSION=	1.2
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e \
 	's|\[(join("share", "man", "man1"),|\[(join("man", "man1"),|' \

Modified: head/devel/py-instant/pkg-descr
==============================================================================
--- head/devel/py-instant/pkg-descr	Sun Apr 13 02:15:38 2014	(r351173)
+++ head/devel/py-instant/pkg-descr	Sun Apr 13 02:23:06 2014	(r351174)
@@ -5,4 +5,4 @@ import the module manually.
 The code can be either C or C++, but like when programming C or C++, it has to
 be inside a function or a similar C/C++ construct.
 
-WWW:	https://launchpad.net/instant
+WWW: https://launchpad.net/instant

Modified: head/devel/py-instant/pkg-plist
==============================================================================
--- head/devel/py-instant/pkg-plist	Sun Apr 13 02:15:38 2014	(r351173)
+++ head/devel/py-instant/pkg-plist	Sun Apr 13 02:23:06 2014	(r351174)
@@ -1,5 +1,7 @@
 bin/instant-clean
 bin/instant-showcache
+man/man1/instant-clean.1.gz
+man/man1/instant-showcache.1.gz
 %%PYTHON_SITELIBDIR%%/instant/__init__.py
 %%PYTHON_SITELIBDIR%%/instant/__init__.pyc
 %%PYTHON_SITELIBDIR%%/instant/__init__.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2014-04-13 03:23:18 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!